Subject: FERTILIZER HEAVEN

From: [email-masked] (Jen Mayer)
Date: Wed, 22 Mar 1995 03:10:00 GMT

For anyone finding their soil is low in nitrogen, I highly recommend 
cotton seed meal - an organic fertilizer.

I just applied it to my garden and I can't believe the difference it 
has made in just two days! I haven't been able to grow spinach taller 
than a few inches and the leaves were curled and bunched up. Two days 
later they're taller and the leaves have smoothed out completely. I 
noticed the same result from my potato plant.
 * RM 1.3 01256 * * If you can do it, it ain't braggin'.